Create a pending invitation for an email
POST /organisations/{id}/invite
POST
/organisations/{id}/invite
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Request Body required
Section titled “Request Body required ”object
email
required
Must belong to an existing Strapi user — this endpoint does not invite not-yet-registered emails (see organisationInviteMember controller docstring).
string format: email
role
required
string
Responses
Section titled “ Responses ”Invitation created
object
data
object
id
integer
attributes
object
email
string
role
string
invitedBy
string
invitedAt
string format: date-time
status
string
Missing email/role, invalid role, or no registered user with that email
Missing or invalid authentication
Caller does not have admin+ role in this organisation
That user is already a member of this organisation